package com.engine.salary.service.impl;

import com.api.formmode.mybatis.util.SqlProxyHandle;
import com.engine.core.impl.Service;
import com.engine.salary.entity.salaryBill.po.SalaryBillWatermarkPO;
import com.engine.salary.mapper.salarybill.SalaryBillWatermarkMapper;
import com.engine.salary.service.SalaryBillWatermarkService;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryBillWatermarkServiceImpl
 * @date 2023/06/09 11:12
 * @description
 */
public class SalaryBillWatermarkServiceImpl extends Service implements SalaryBillWatermarkService {

    private SalaryBillWatermarkMapper getSalaryBillWatermarkMapper() {
        return SqlProxyHandle.getProxy(SalaryBillWatermarkMapper.class);
    }

    @Override
    public List<SalaryBillWatermarkPO> listAll() {
        return getSalaryBillWatermarkMapper().listAll();
    }

    @Override
    public List<SalaryBillWatermarkPO> listSome(SalaryBillWatermarkPO po) {
        return getSalaryBillWatermarkMapper().listSome(po);
    }

    @Override
    public SalaryBillWatermarkPO getById(Long id) {
        return getSalaryBillWatermarkMapper().getById(id);
    }

    @Override
    public int insertIgnoreNull(SalaryBillWatermarkPO SalaryBillWatermarkPO) {
        return getSalaryBillWatermarkMapper().insertIgnoreNull(SalaryBillWatermarkPO);
    }

    @Override
    public int updateIgnoreNull(SalaryBillWatermarkPO SalaryBillWatermarkPO) {
        return getSalaryBillWatermarkMapper().updateIgnoreNull(SalaryBillWatermarkPO);
    }

    @Override
    public int delete(SalaryBillWatermarkPO SalaryBillWatermarkPO) {
        return getSalaryBillWatermarkMapper().delete(SalaryBillWatermarkPO);
    }

    @Override
    public void deleteAll() {
        getSalaryBillWatermarkMapper().deleteAll();
    }
}
